[Unit]
Description=Gitea (Git with a cup of tea)
After=syslog.target
After=network.target
{% if '127.0.0.1' in gitea__database_uri or 'localhost' in gitea__database_uri %}
After=mariadb.service
{% endif %}

[Service]
Type=simple
User={{ gitea__username }}
Group={{ gitea__username }}
WorkingDirectory={{ gitea__home }}
ExecStart={{ gitea__install_dir ~ '/gitea' ~ ' web' }}
Restart=always
Environment=USER={{ gitea__username }} HOME={{ gitea__home }} GITEA_CUSTOM={{ gitea__home }}/custom
PrivateTmp=yes

[Install]
WantedBy=multi-user.target